%define amversion 1.15
%global __requires_exclude perl\\(Automake::.*\\)
%global __provides_exclude perl\\(Automake::.*\\)

%define docheck 0
%{?_without_check: %global docheck 0}

Summary:	A GNU tool for automatically creating Makefiles
Name:		automake
Version:	1.15
Release:	%mkrel 4
License:	GPLv2+
Group:		Development/Other
Source0:	http://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
# From upstream:
# http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21001
Patch0:		0001-bin-automake-escape-in-regexp-pattern.patch
URL:		http://www.gnu.org/software/automake/
BuildArch:	noarch

Requires:	autoconf
BuildRequires:	autoconf
BuildRequires:	texinfo
Conflicts:	automake1.5
Provides:	automake1.9 = %{version}-%{release}
Obsoletes:	automake1.9
Provides:	automake1.8 = %{version}-%{release}
Obsoletes:	automake1.8
Requires(post):	info-install
Requires(preun): info-install
Requires(post):	update-alternatives
Requires(preun): update-alternatives

# tests need these
%if %docheck
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	tetex-latex
BuildRequires:	emacs
BuildRequires:	dejagnu
BuildRequires:	gcc-java
BuildRequires:	python
%endif

%description
Automake is a tool for automatically generating Makefiles compliant with
the GNU Coding Standards.

You should install Automake if you are developing software and would like
to use its capabilities of automatically generating GNU standard
Makefiles. If you install Automake, you will also need to install GNU's
Autoconf package.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --build=%{_host}
%make

%check
%if %docheck
# (Abel) reqd2.test tries to make sure automake won't work if ltmain.sh
# is not present. But automake behavior changed, now it can handle missing
# libtool file as well, so this test is bogus.
sed -e 's!t/reqd2.sh!!g' Makefile
make check	# VERBOSE=1
%endif

%install
%makeinstall_std

# provide -1.8 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.8
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.8

# provide -1.9 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.9
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.9

# provide -1.12 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.12
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.12

# provide -1.14 symlinks
ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.14
ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.14

rm -f %{buildroot}/%{_infodir}/*
install -m 644 doc/%{name}.info* %{buildroot}/%{_infodir}/

mkdir -p %{buildroot}%{_datadir}/aclocal

%pre
if [ "$1" = 1 ]; then
  update-alternatives --remove automake %{_bindir}/automake-1.8 || :
  update-alternatives --remove automake %{_bindir}/automake-1.9 || :
  update-alternatives --remove automake %{_bindir}/automake-1.12 || :
fi

%post
%_install_info %name.info

%preun
%_remove_install_info %name.info

%files
%doc AUTHORS ChangeLog NEWS README THANKS
%exclude  /usr/share/doc/automake/amhello-1.0.tar.gz
%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/automake-%{amversion}
%{_bindir}/aclocal-%{amversion}
%{_bindir}/automake-1.8
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.9
%{_bindir}/aclocal-1.9
%{_bindir}/automake-1.12
%{_bindir}/aclocal-1.12
%{_bindir}/automake-1.14
%{_bindir}/aclocal-1.14
%{_datadir}/automake*
%{_infodir}/automake*
%{_datadir}/aclocal*
%{_mandir}/man1/*


%changelog
* Fri Jan 29 2016 pterjan <pterjan> 1.15-4.mga6
+ Revision: 928583
- Do not fail prein when old packages are not installed

* Wed Oct 21 2015 tv <tv> 1.15-3.mga6
+ Revision: 893294
- fix build: exclude some doc

* Sat Jul 11 2015 wally <wally> 1.15-2.mga6
+ Revision: 853325
- add patch from upstream bug tracker to fix warnings with new perl 5.22

* Sat Jun 20 2015 shlomif <shlomif> 1.15-1.mga6
+ Revision: 836551
- New version 1.15

* Wed Oct 15 2014 umeabot <umeabot> 1.14.1-3.mga5
+ Revision: 742615
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.14.1-2.mga5
+ Revision: 678064
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Wed Feb 05 2014 fwang <fwang> 1.14.1-1.mga5
+ Revision: 583174
- new version 1.14.1

* Mon Oct 21 2013 umeabot <umeabot> 1.14-3.mga4
+ Revision: 539257
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 tv <tv> 1.14-2.mga4
+ Revision: 491678
- provide aclocal-1.12 symlink for mesa

* Sun Jun 23 2013 fwang <fwang> 1.14-1.mga4
+ Revision: 445810
- new version 1.14

* Sat Jun 15 2013 fwang <fwang> 1.13.4-1.mga4
+ Revision: 443196
- new version 1.13.4

* Tue Jun 04 2013 fwang <fwang> 1.13.3-1.mga4
+ Revision: 437147
- new version 1.13.3

* Fri May 24 2013 fwang <fwang> 1.13.2-1.mga4
+ Revision: 425763
- new version 1.13.2

* Fri Jan 11 2013 umeabot <umeabot> 1.13.1-2.mga3
+ Revision: 346672
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 fwang <fwang> 1.13.1-1.mga3
+ Revision: 337361
- new version 1.13.1

* Sat Dec 29 2012 guillomovitch <guillomovitch> 1.13-2.mga3
+ Revision: 336047
- silent automatic dependencies for private perl modules

* Sat Dec 29 2012 guillomovitch <guillomovitch> 1.13-1.mga3
+ Revision: 336039
- new version

* Sun Dec 16 2012 fwang <fwang> 1.12.6-1.mga3
+ Revision: 331432
- new version 1.12.6

* Sun Nov 18 2012 fwang <fwang> 1.12.5-1.mga3
+ Revision: 319247
- new version 1.12.5

* Wed Sep 19 2012 fwang <fwang> 1.12.4-1.mga3
+ Revision: 296009
- new version 1.12.4

* Fri Aug 17 2012 fwang <fwang> 1.12.3-1.mga3
+ Revision: 281724
- new version 1.12.3

* Tue Jul 10 2012 fwang <fwang> 1.12.2-1.mga3
+ Revision: 269196
- update file list
- new version 1.12.2

* Sat Jun 02 2012 fwang <fwang> 1.12.1-1.mga3
+ Revision: 253228
- new version 1.12.1

* Thu May 31 2012 fwang <fwang> 1.12-2.mga3
+ Revision: 251934
- rebuild for new perl

* Tue May 29 2012 shlomif <shlomif> 1.12-1.mga3
+ Revision: 248814
- New version - 1.12

* Fri Feb 03 2012 fwang <fwang> 1.11.3-1.mga2
+ Revision: 204197
- new version 1.11.3

* Thu Dec 22 2011 fwang <fwang> 1.11.2-1.mga2
+ Revision: 185967
- new version 1.11.2

* Tue Jan 11 2011 blino <blino> 1.11.1-3.mga1
+ Revision: 5696
- remove old vesion checks and update comments
- imported package automake


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.11.1-2mdv2011.0
+ Revision: 603484
- rebuild

* Wed Dec 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.11.1-1mdv2010.1
+ Revision: 475202
- 1.11.1

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 1.11-2mdv2010.0
+ Revision: 377328
- Update to new version 1.11
- Remove xz patch (integrated upstream)

* Thu Feb 26 2009 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.10.2-2mdv2009.1
+ Revision: 345225
- sed is lighter and all and preferred over perl :o)
- add 'make dist-xz' target (P0, backported from git)

  + Funda Wang <fwang@mandriva.org>
    - fix license

* Thu Nov 27 2008 Funda Wang <fwang@mandriva.org> 1.10.2-1mdv2009.1
+ Revision: 307192
- New version 1.10.2

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.10.1-2mdv2009.0
+ Revision: 220472
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - use %%doc for docs
    - drop COPYING as license is shipped with common-licenses..

* Thu Jan 31 2008 Funda Wang <fwang@mandriva.org> 1.10.1-1mdv2008.1
+ Revision: 160778
- New version 1.10.1

* Thu Jan 10 2008 David Walluck <walluck@mandriva.org> 1.10-5mdv2008.1
+ Revision: 147466
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 16 2007 Thierry Vignaud <tv@mandriva.org> 1.10-4mdv2008.1
+ Revision: 87531
- s/Mandrake/Mandriva/
- kill update-alternative file require
- kill file require on info-install

  + Helio Chissini de Castro <helio@mandriva.com>
    - Simlink for 1.9

* Thu Jun 21 2007 Olivier Thauvin <nanardon@mandriva.org> 1.10-2mdv2008.0
+ Revision: 42320
- fix platform tag

* Wed Jun 13 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.10-1mdv2008.0
+ Revision: 38651
- copy doc files in %%install
- remove old specfile code
- 1.10
- dropped patch0 - this is the only package providing 'automake' and 'aclocal'
- include automake and aclocal symlinks in the package, no more alternatives
- rename package to automake
- rename automake1.8 package to automake

